Bug 1013910 - SELinux is preventing oxenstored from 'open' accesses on the file /var/log/xenstored.log.
SELinux is preventing oxenstored from 'open' accesses on the file /var/log/xe...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:fa2e32dc194f39c9bbcd4f475fd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 23:33 EDT by Jeremy Fitzhardinge
Modified: 2013-10-14 13:21 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-74.9.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-14 02:59:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Fitzhardinge 2013-09-30 23:33:30 EDT
Description of problem:
oxenstored needs to write /var/log/xenstored.log
SELinux is preventing oxenstored from 'open' accesses on the file /var/log/xenstored.log.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that oxenstored should be allowed open access on the xenstored.log file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep oxenstored /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xenstored_t:s0
Target Context                system_u:object_r:var_log_t:s0
Target Objects                /var/log/xenstored.log [ file ]
Source                        oxenstored
Source Path                   oxenstored
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.4.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.1-200.fc19.x86_64 #1 SMP Sat
                              Sep 14 15:04:51 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-09-30 20:26:07 PDT
Last Seen                     2013-09-30 20:26:07 PDT
Local ID                      8022218c-d251-4fb6-b747-afc1c88818ca

Raw Audit Messages
type=AVC msg=audit(1380597967.354:29): avc:  denied  { open } for  pid=722 comm="oxenstored" path="/var/log/xenstored.log" dev="dm-2" ino=144600 scontext=system_u:system_r:xenstored_t:s0 tcontext=system_u:object_r:var_log_t:s0 tclass=file


Hash: oxenstored,xenstored_t,var_log_t,file,open

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.11.1-200.fc19.x86_64
type:           libreport
Comment 1 Lukas Vrabec 2013-10-01 05:11:05 EDT
Hi Jeremy, 

I believe "/var/log/xenstored.log" is default path or did you setup this path? 

For now you can use : "# chcon -t xenstored_var_log_t /var/log/xenstored.log".
Comment 2 Daniel Walsh 2013-10-04 10:33:56 EDT
01bcac323f563c708264645cadb9c748d909b381 fixes this in git.
Comment 3 Lukas Vrabec 2013-10-07 05:26:35 EDT
backported.
Comment 4 Fedora Update System 2013-10-08 16:47:30 EDT
selinux-policy-3.12.1-74.9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-74.9.fc19
Comment 5 Fedora Update System 2013-10-09 21:14:31 EDT
Package selinux-policy-3.12.1-74.9.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-74.9.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18701/selinux-policy-3.12.1-74.9.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-10-14 02:59:33 EDT
selinux-policy-3.12.1-74.9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-10-14 13:21:39 EDT
selinux-policy-3.12.1-74.9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.